diff --git a/pengine/test10/whitebox-ms-ordering.exp b/pengine/test10/whitebox-ms-ordering.exp
index 5d32d6fc6..de4f4d052 100644
--- a/pengine/test10/whitebox-ms-ordering.exp
+++ b/pengine/test10/whitebox-ms-ordering.exp
@@ -1,7 +1,7 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <rsc_op id="14" operation="start" operation_key="container1_start_0" on_node="18node1" on_node_uuid="1">
+      <rsc_op id="20" operation="start" operation_key="container1_start_0" on_node="18node1" on_node_uuid="1">
         <primitive id="container1" class="ocf" provider="heartbeat" type="VirtualDomain"/>
         <attributes CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_remote_node="lxc1" CRM_meta_timeout="20000" config="/var/lib/pacemaker/cts/lxc/lxc1.xml"  force_stop="true" hypervisor="lxc:///" remote-node="lxc1"/>
       </rsc_op>
@@ -11,19 +11,19 @@
         <rsc_op id="3" operation="monitor" operation_key="container1_monitor_0" on_node="18node1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <rsc_op id="6" operation="monitor" operation_key="container1_monitor_0" on_node="18node2" on_node_uuid="2"/>
+        <rsc_op id="8" operation="monitor" operation_key="container1_monitor_0" on_node="18node2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="9" operation="monitor" operation_key="container1_monitor_0" on_node="18node3" on_node_uuid="3"/>
+        <rsc_op id="13" operation="monitor" operation_key="container1_monitor_0" on_node="18node3" on_node_uuid="3"/>
       </trigger>
       <trigger>
-        <pseudo_event id="35" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="41" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
     <action_set>
-      <rsc_op id="9" operation="monitor" operation_key="container1_monitor_0" on_node="18node3" on_node_uuid="3">
+      <rsc_op id="13" operation="monitor" operation_key="container1_monitor_0" on_node="18node3" on_node_uuid="3">
         <primitive id="container1" class="ocf" provider="heartbeat" type="VirtualDomain"/>
         <attributes CRM_meta_on_node="18node3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_remote_node="lxc1" CRM_meta_timeout="20000" config="/var/lib/pacemaker/cts/lxc/lxc1.xml"  force_stop="true" hypervisor="lxc:///" remote-node="lxc1"/>
       </rsc_op>
@@ -32,7 +32,7 @@
   </synapse>
   <synapse id="2">
     <action_set>
-      <rsc_op id="6" operation="monitor" operation_key="container1_monitor_0" on_node="18node2" on_node_uuid="2">
+      <rsc_op id="8" operation="monitor" operation_key="container1_monitor_0" on_node="18node2" on_node_uuid="2">
         <primitive id="container1" class="ocf" provider="heartbeat" type="VirtualDomain"/>
         <attributes CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_remote_node="lxc1" CRM_meta_timeout="20000" config="/var/lib/pacemaker/cts/lxc/lxc1.xml"  force_stop="true" hypervisor="lxc:///" remote-node="lxc1"/>
       </rsc_op>
@@ -50,7 +50,7 @@
   </synapse>
   <synapse id="4">
     <action_set>
-      <rsc_op id="15" operation="start" operation_key="container2_start_0" on_node="18node1" on_node_uuid="1">
+      <rsc_op id="21" operation="start" operation_key="container2_start_0" on_node="18node1" on_node_uuid="1">
         <primitive id="container2" class="ocf" provider="heartbeat" type="VirtualDomain"/>
         <attributes CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_remote_node="lxc2" CRM_meta_timeout="20000" config="/var/lib/pacemaker/cts/lxc/lxc2.xml"  force_stop="true" hypervisor="lxc:///" remote-node="lxc2"/>
       </rsc_op>
@@ -60,19 +60,19 @@
         <rsc_op id="4" operation="monitor" operation_key="container2_monitor_0" on_node="18node1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <rsc_op id="7" operation="monitor" operation_key="container2_monitor_0" on_node="18node2" on_node_uuid="2"/>
+        <rsc_op id="9" operation="monitor" operation_key="container2_monitor_0" on_node="18node2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="10" operation="monitor" operation_key="container2_monitor_0" on_node="18node3" on_node_uuid="3"/>
+        <rsc_op id="14" operation="monitor" operation_key="container2_monitor_0" on_node="18node3" on_node_uuid="3"/>
       </trigger>
       <trigger>
-        <pseudo_event id="35" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="41" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="5">
     <action_set>
-      <rsc_op id="10" operation="monitor" operation_key="container2_monitor_0" on_node="18node3" on_node_uuid="3">
+      <rsc_op id="14" operation="monitor" operation_key="container2_monitor_0" on_node="18node3" on_node_uuid="3">
         <primitive id="container2" class="ocf" provider="heartbeat" type="VirtualDomain"/>
         <attributes CRM_meta_on_node="18node3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_remote_node="lxc2" CRM_meta_timeout="20000" config="/var/lib/pacemaker/cts/lxc/lxc2.xml"  force_stop="true" hypervisor="lxc:///" remote-node="lxc2"/>
       </rsc_op>
@@ -81,7 +81,7 @@
   </synapse>
   <synapse id="6">
     <action_set>
-      <rsc_op id="7" operation="monitor" operation_key="container2_monitor_0" on_node="18node2" on_node_uuid="2">
+      <rsc_op id="9" operation="monitor" operation_key="container2_monitor_0" on_node="18node2" on_node_uuid="2">
         <primitive id="container2" class="ocf" provider="heartbeat" type="VirtualDomain"/>
         <attributes CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_remote_node="lxc2" CRM_meta_timeout="20000" config="/var/lib/pacemaker/cts/lxc/lxc2.xml"  force_stop="true" hypervisor="lxc:///" remote-node="lxc2"/>
       </rsc_op>
@@ -99,54 +99,54 @@
   </synapse>
   <synapse id="8">
     <action_set>
-      <rsc_op id="19" operation="promote" operation_key="lxc-ms_promote_0" internal_operation_key="lxc-ms:0_promote_0" on_node="lxc1" on_node_uuid="lxc1" router_node="18node1">
+      <rsc_op id="25" operation="promote" operation_key="lxc-ms_promote_0" internal_operation_key="lxc-ms:0_promote_0" on_node="lxc1" on_node_uuid="lxc1" router_node="18node1">
         <primitive id="lxc-ms" long-id="lxc-ms:0" class="ocf" provider="pacemaker" type="Stateful"/>
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="lxc1" CRM_meta_on_node_uuid="lxc1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="16" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0"/>
+        <pseudo_event id="22" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="18" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:0_start_0" on_node="lxc1" on_node_uuid="lxc1" router_node="18node1"/>
+        <rsc_op id="24" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:0_start_0" on_node="lxc1" on_node_uuid="lxc1" router_node="18node1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="27" operation="promote" operation_key="lxc-ms-master_promote_0"/>
+        <pseudo_event id="33" operation="promote" operation_key="lxc-ms-master_promote_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="31" operation="start" operation_key="lxc1_start_0" on_node="18node1" on_node_uuid="1"/>
+        <rsc_op id="37" operation="start" operation_key="lxc1_start_0" on_node="18node1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="35" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="41" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="9">
     <action_set>
-      <rsc_op id="18" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:0_start_0" on_node="lxc1" on_node_uuid="lxc1" router_node="18node1">
+      <rsc_op id="24" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:0_start_0" on_node="lxc1" on_node_uuid="lxc1" router_node="18node1">
         <primitive id="lxc-ms" long-id="lxc-ms:0" class="ocf" provider="pacemaker" type="Stateful"/>
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="lxc1" CRM_meta_on_node_uuid="lxc1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="17" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0"/>
+        <pseudo_event id="23" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="23" operation="start" operation_key="lxc-ms-master_start_0"/>
+        <pseudo_event id="29" operation="start" operation_key="lxc-ms-master_start_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="31" operation="start" operation_key="lxc1_start_0" on_node="18node1" on_node_uuid="1"/>
+        <rsc_op id="37" operation="start" operation_key="lxc1_start_0" on_node="18node1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="35" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="41" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="10">
     <action_set>
-      <pseudo_event id="17" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0">
+      <pseudo_event id="23" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0">
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
@@ -155,40 +155,40 @@
         <rsc_op id="5" operation="monitor" operation_key="lxc-ms_monitor_0" internal_operation_key="lxc-ms:0_monitor_0" on_node="18node1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <rsc_op id="8" operation="monitor" operation_key="lxc-ms_monitor_0" internal_operation_key="lxc-ms:0_monitor_0" on_node="18node2" on_node_uuid="2"/>
+        <rsc_op id="10" operation="monitor" operation_key="lxc-ms_monitor_0" internal_operation_key="lxc-ms:0_monitor_0" on_node="18node2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="11" operation="monitor" operation_key="lxc-ms_monitor_0" internal_operation_key="lxc-ms:0_monitor_0" on_node="18node3" on_node_uuid="3"/>
+        <rsc_op id="15" operation="monitor" operation_key="lxc-ms_monitor_0" internal_operation_key="lxc-ms:0_monitor_0" on_node="18node3" on_node_uuid="3"/>
       </trigger>
       <trigger>
-        <pseudo_event id="16" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0"/>
+        <pseudo_event id="22" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="25" operation="stop" operation_key="lxc-ms-master_stop_0"/>
+        <pseudo_event id="31" operation="stop" operation_key="lxc-ms-master_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="36" operation="stonith" operation_key="stonith-lxc1-reboot" on_node="lxc1" on_node_uuid="lxc1"/>
+        <pseudo_event id="42" operation="stonith" operation_key="stonith-lxc1-reboot" on_node="lxc1" on_node_uuid="lxc1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="11">
     <action_set>
-      <pseudo_event id="16" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0">
+      <pseudo_event id="22" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0">
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="29" operation="demote" operation_key="lxc-ms-master_demote_0"/>
+        <pseudo_event id="35" operation="demote" operation_key="lxc-ms-master_demote_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="36" operation="stonith" operation_key="stonith-lxc1-reboot" on_node="lxc1" on_node_uuid="lxc1"/>
+        <pseudo_event id="42" operation="stonith" operation_key="stonith-lxc1-reboot" on_node="lxc1" on_node_uuid="lxc1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="12">
     <action_set>
-      <rsc_op id="11" operation="monitor" operation_key="lxc-ms_monitor_0" internal_operation_key="lxc-ms:0_monitor_0" on_node="18node3" on_node_uuid="3">
+      <rsc_op id="15" operation="monitor" operation_key="lxc-ms_monitor_0" internal_operation_key="lxc-ms:0_monitor_0" on_node="18node3" on_node_uuid="3">
         <primitive id="lxc-ms" long-id="lxc-ms:0" class="ocf" provider="pacemaker" type="Stateful"/>
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="18node3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -197,7 +197,7 @@
   </synapse>
   <synapse id="13">
     <action_set>
-      <rsc_op id="8" operation="monitor" operation_key="lxc-ms_monitor_0" internal_operation_key="lxc-ms:0_monitor_0" on_node="18node2" on_node_uuid="2">
+      <rsc_op id="10" operation="monitor" operation_key="lxc-ms_monitor_0" internal_operation_key="lxc-ms:0_monitor_0" on_node="18node2" on_node_uuid="2">
         <primitive id="lxc-ms" long-id="lxc-ms:0" class="ocf" provider="pacemaker" type="Stateful"/>
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -215,75 +215,75 @@
   </synapse>
   <synapse id="15">
     <action_set>
-      <rsc_op id="22" operation="monitor" operation_key="lxc-ms_monitor_10000" internal_operation_key="lxc-ms:1_monitor_10000" on_node="lxc2" on_node_uuid="lxc2" router_node="18node1">
+      <rsc_op id="28" operation="monitor" operation_key="lxc-ms_monitor_10000" internal_operation_key="lxc-ms:1_monitor_10000" on_node="lxc2" on_node_uuid="lxc2" router_node="18node1">
         <primitive id="lxc-ms" long-id="lxc-ms:1" class="ocf" provider="pacemaker" type="Stateful"/>
         <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="10000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="lxc2" CRM_meta_on_node_uuid="lxc2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="21" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:1_start_0" on_node="lxc2" on_node_uuid="lxc2" router_node="18node1"/>
+        <rsc_op id="27" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:1_start_0" on_node="lxc2" on_node_uuid="lxc2" router_node="18node1"/>
       </trigger>
       <trigger>
-        <rsc_op id="33" operation="start" operation_key="lxc2_start_0" on_node="18node1" on_node_uuid="1"/>
+        <rsc_op id="39" operation="start" operation_key="lxc2_start_0" on_node="18node1" on_node_uuid="1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="16">
     <action_set>
-      <rsc_op id="21" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:1_start_0" on_node="lxc2" on_node_uuid="lxc2" router_node="18node1">
+      <rsc_op id="27" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:1_start_0" on_node="lxc2" on_node_uuid="lxc2" router_node="18node1">
         <primitive id="lxc-ms" long-id="lxc-ms:1" class="ocf" provider="pacemaker" type="Stateful"/>
         <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="lxc2" CRM_meta_on_node_uuid="lxc2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="20" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:1_stop_0"/>
+        <pseudo_event id="26" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="23" operation="start" operation_key="lxc-ms-master_start_0"/>
+        <pseudo_event id="29" operation="start" operation_key="lxc-ms-master_start_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="33" operation="start" operation_key="lxc2_start_0" on_node="18node1" on_node_uuid="1"/>
+        <rsc_op id="39" operation="start" operation_key="lxc2_start_0" on_node="18node1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="35" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="41" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="17">
     <action_set>
-      <pseudo_event id="20" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:1_stop_0">
+      <pseudo_event id="26" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:1_stop_0">
         <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="25" operation="stop" operation_key="lxc-ms-master_stop_0"/>
+        <pseudo_event id="31" operation="stop" operation_key="lxc-ms-master_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="37" operation="stonith" operation_key="stonith-lxc2-reboot" on_node="lxc2" on_node_uuid="lxc2"/>
+        <pseudo_event id="43" operation="stonith" operation_key="stonith-lxc2-reboot" on_node="lxc2" on_node_uuid="lxc2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="18" priority="1000000">
     <action_set>
-      <pseudo_event id="30" operation="demoted" operation_key="lxc-ms-master_demoted_0">
+      <pseudo_event id="36" operation="demoted" operation_key="lxc-ms-master_demoted_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="16" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0"/>
+        <pseudo_event id="22" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="29" operation="demote" operation_key="lxc-ms-master_demote_0"/>
+        <pseudo_event id="35" operation="demote" operation_key="lxc-ms-master_demote_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="19">
     <action_set>
-      <pseudo_event id="29" operation="demote" operation_key="lxc-ms-master_demote_0">
+      <pseudo_event id="35" operation="demote" operation_key="lxc-ms-master_demote_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
@@ -291,91 +291,91 @@
   </synapse>
   <synapse id="20" priority="1000000">
     <action_set>
-      <pseudo_event id="28" operation="promoted" operation_key="lxc-ms-master_promoted_0">
+      <pseudo_event id="34" operation="promoted" operation_key="lxc-ms-master_promoted_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="19" operation="promote" operation_key="lxc-ms_promote_0" internal_operation_key="lxc-ms:0_promote_0" on_node="lxc1" on_node_uuid="lxc1" router_node="18node1"/>
+        <rsc_op id="25" operation="promote" operation_key="lxc-ms_promote_0" internal_operation_key="lxc-ms:0_promote_0" on_node="lxc1" on_node_uuid="lxc1" router_node="18node1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="21">
     <action_set>
-      <pseudo_event id="27" operation="promote" operation_key="lxc-ms-master_promote_0">
+      <pseudo_event id="33" operation="promote" operation_key="lxc-ms-master_promote_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="24" operation="running" operation_key="lxc-ms-master_running_0"/>
+        <pseudo_event id="30" operation="running" operation_key="lxc-ms-master_running_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="26" operation="stopped" operation_key="lxc-ms-master_stopped_0"/>
+        <pseudo_event id="32" operation="stopped" operation_key="lxc-ms-master_stopped_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="30" operation="demoted" operation_key="lxc-ms-master_demoted_0"/>
+        <pseudo_event id="36" operation="demoted" operation_key="lxc-ms-master_demoted_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="22" priority="1000000">
     <action_set>
-      <pseudo_event id="26" operation="stopped" operation_key="lxc-ms-master_stopped_0">
+      <pseudo_event id="32" operation="stopped" operation_key="lxc-ms-master_stopped_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="17" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0"/>
+        <pseudo_event id="23" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="20" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:1_stop_0"/>
+        <pseudo_event id="26" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="25" operation="stop" operation_key="lxc-ms-master_stop_0"/>
+        <pseudo_event id="31" operation="stop" operation_key="lxc-ms-master_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="23">
     <action_set>
-      <pseudo_event id="25" operation="stop" operation_key="lxc-ms-master_stop_0">
+      <pseudo_event id="31" operation="stop" operation_key="lxc-ms-master_stop_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="30" operation="demoted" operation_key="lxc-ms-master_demoted_0"/>
+        <pseudo_event id="36" operation="demoted" operation_key="lxc-ms-master_demoted_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="36" operation="stonith" operation_key="stonith-lxc1-reboot" on_node="lxc1" on_node_uuid="lxc1"/>
+        <pseudo_event id="42" operation="stonith" operation_key="stonith-lxc1-reboot" on_node="lxc1" on_node_uuid="lxc1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="37" operation="stonith" operation_key="stonith-lxc2-reboot" on_node="lxc2" on_node_uuid="lxc2"/>
+        <pseudo_event id="43" operation="stonith" operation_key="stonith-lxc2-reboot" on_node="lxc2" on_node_uuid="lxc2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="24" priority="1000000">
     <action_set>
-      <pseudo_event id="24" operation="running" operation_key="lxc-ms-master_running_0">
+      <pseudo_event id="30" operation="running" operation_key="lxc-ms-master_running_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="18" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:0_start_0" on_node="lxc1" on_node_uuid="lxc1" router_node="18node1"/>
+        <rsc_op id="24" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:0_start_0" on_node="lxc1" on_node_uuid="lxc1" router_node="18node1"/>
       </trigger>
       <trigger>
-        <rsc_op id="21" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:1_start_0" on_node="lxc2" on_node_uuid="lxc2" router_node="18node1"/>
+        <rsc_op id="27" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:1_start_0" on_node="lxc2" on_node_uuid="lxc2" router_node="18node1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="23" operation="start" operation_key="lxc-ms-master_start_0"/>
+        <pseudo_event id="29" operation="start" operation_key="lxc-ms-master_start_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="25">
     <action_set>
-      <pseudo_event id="23" operation="start" operation_key="lxc-ms-master_start_0">
+      <pseudo_event id="29" operation="start" operation_key="lxc-ms-master_start_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
